/*
 * Licensed Materials - Property of IBM
 *
 * com.ibm.etools.c
 *
 *  Copyright IBM Corporation 2004. All Rights Reserved. 
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.etools.c;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import com.ibm.etools.tdlang.TDLangPackage;

/**
 * <!-- begin-user-doc --> The <b>Package </b> for the model. It contains
 * accessors for the meta objects to represent
 * <ul>
 * <li>each class,</li>
 * <li>each feature of each class,</li>
 * <li>each enum,</li>
 * <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc --> <!-- begin-model-doc --> Version 0.83 -1/17/2002 <!--
 * end-model-doc -->
 * 
 * @see com.ibm.etools.c.CFactory
 * @generated
 */
public interface CPackage extends EPackage {
    /**
     * The package name. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    String eNAME = "c";

    /**
     * The package namespace URI. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    String eNS_URI = "http:///c.ecore";

    /**
     * The package namespace name. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    String eNS_PREFIX = "c";

    /**
     * The singleton instance of the package. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     */
    CPackage eINSTANCE = com.ibm.etools.c.impl.CPackageImpl.init();

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CClassifierImpl <em>Classifier</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CClassifierImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCClassifier()
     * @generated
     */
    int CCLASSIFIER = 0;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CCLASSIFIER__NAME = TDLangPackage.TD_LANG_CLASSIFIER__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CCLASSIFIER__TD_LANG_TYPED_ELEMENT = TDLangPackage.TD_LANG_CLASSIFIER__TD_LANG_TYPED_ELEMENT;

    /**
     * The number of structural features of the the '<em>Classifier</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CCLASSIFIER_FEATURE_COUNT = TDLangPackage.TD_LANG_CLASSIFIER_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CStructuredImpl <em>Structured</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CStructuredImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCStructured()
     * @generated
     */
    int CSTRUCTURED = 1;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURED__NAME = TDLangPackage.TD_LANG_COMPOSED_TYPE__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURED__TD_LANG_TYPED_ELEMENT = TDLangPackage.TD_LANG_COMPOSED_TYPE__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Td Lang Element</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURED__TD_LANG_ELEMENT = TDLangPackage.TD_LANG_COMPOSED_TYPE__TD_LANG_ELEMENT;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURED__CONTAINER = TDLangPackage.TD_LANG_COMPOSED_TYPE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURED__CONTAINS = TDLangPackage.TD_LANG_COMPOSED_TYPE_FEATURE_COUNT + 1;

    /**
     * The number of structural features of the the '<em>Structured</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURED_FEATURE_COUNT = TDLangPackage.TD_LANG_COMPOSED_TYPE_FEATURE_COUNT + 2;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CStructImpl <em>Struct</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CStructImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCStruct()
     * @generated
     */
    int CSTRUCT = 2;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCT__NAME = CSTRUCTURED__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCT__TD_LANG_TYPED_ELEMENT = CSTRUCTURED__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Td Lang Element</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCT__TD_LANG_ELEMENT = CSTRUCTURED__TD_LANG_ELEMENT;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCT__CONTAINER = CSTRUCTURED__CONTAINER;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCT__CONTAINS = CSTRUCTURED__CONTAINS;

    /**
     * The number of structural features of the the '<em>Struct</em>' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCT_FEATURE_COUNT = CSTRUCTURED_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CUnionImpl <em>Union</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CUnionImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCUnion()
     * @generated
     */
    int CUNION = 3;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CUNION__NAME = CSTRUCTURED__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CUNION__TD_LANG_TYPED_ELEMENT = CSTRUCTURED__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Td Lang Element</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CUNION__TD_LANG_ELEMENT = CSTRUCTURED__TD_LANG_ELEMENT;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CUNION__CONTAINER = CSTRUCTURED__CONTAINER;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CUNION__CONTAINS = CSTRUCTURED__CONTAINS;

    /**
     * The number of structural features of the the '<em>Union</em>' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CUNION_FEATURE_COUNT = CSTRUCTURED_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CBehavioralFeatureImpl <em>Behavioral Feature</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CBehavioralFeatureImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCBehavioralFeature()
     * @generated
     */
    int CBEHAVIORAL_FEATURE = 4;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CBEHAVIORAL_FEATURE__NAME = 0;

    /**
     * The feature id for the '<em><b>Parameter</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CBEHAVIORAL_FEATURE__PARAMETER = 1;

    /**
     * The number of structural features of the the '
     * <em>Behavioral Feature</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated @ordered
     */
    int CBEHAVIORAL_FEATURE_FEATURE_COUNT = 2;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CTypedElementImpl <em>Typed Element</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CTypedElementImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCTypedElement()
     * @generated
     */
    int CTYPED_ELEMENT = 5;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT__NAME = TDLangPackage.TD_LANG_ELEMENT__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Shared Type</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT__TD_LANG_SHARED_TYPE = TDLangPackage.TD_LANG_ELEMENT__TD_LANG_SHARED_TYPE;

    /**
     * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT__INSTANCE_TD_BASE = TDLangPackage.TD_LANG_ELEMENT__INSTANCE_TD_BASE;

    /**
     * The feature id for the '<em><b>Type</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT__TYPE = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT__CONTAINS = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT__SOURCE = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 2;

    /**
     * The number of structural features of the the '<em>Typed Element</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPED_ELEMENT_FEATURE_COUNT = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 3;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CStructuralFeatureImpl <em>Structural Feature</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CStructuralFeatureImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCStructuralFeature()
     * @generated
     */
    int CSTRUCTURAL_FEATURE = 6;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__NAME = CTYPED_ELEMENT__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Shared Type</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__TD_LANG_SHARED_TYPE = CTYPED_ELEMENT__TD_LANG_SHARED_TYPE;

    /**
     * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__INSTANCE_TD_BASE = CTYPED_ELEMENT__INSTANCE_TD_BASE;

    /**
     * The feature id for the '<em><b>Type</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__TYPE = CTYPED_ELEMENT__TYPE;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__CONTAINS = CTYPED_ELEMENT__CONTAINS;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__SOURCE = CTYPED_ELEMENT__SOURCE;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE__CONTAINER = CTYPED_ELEMENT_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Structural Feature</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURAL_FEATURE_FEATURE_COUNT = CTYPED_ELEMENT_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CParameterImpl <em>Parameter</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CParameterImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCParameter()
     * @generated
     */
    int CPARAMETER = 7;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__NAME = CTYPED_ELEMENT__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Shared Type</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__TD_LANG_SHARED_TYPE = CTYPED_ELEMENT__TD_LANG_SHARED_TYPE;

    /**
     * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__INSTANCE_TD_BASE = CTYPED_ELEMENT__INSTANCE_TD_BASE;

    /**
     * The feature id for the '<em><b>Type</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__TYPE = CTYPED_ELEMENT__TYPE;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__CONTAINS = CTYPED_ELEMENT__CONTAINS;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__SOURCE = CTYPED_ELEMENT__SOURCE;

    /**
     * The feature id for the '<em><b>Direction</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__DIRECTION = CTYPED_ELEMENT_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Behavioral Feature</b></em>'
     * container reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER__BEHAVIORAL_FEATURE = CTYPED_ELEMENT_FEATURE_COUNT + 1;

    /**
     * The number of structural features of the the '<em>Parameter</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPARAMETER_FEATURE_COUNT = CTYPED_ELEMENT_FEATURE_COUNT + 2;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CDatatypeImpl <em>Datatype</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CDatatypeImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCDatatype()
     * @generated
     */
    int CDATATYPE = 8;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDATATYPE__NAME = CCLASSIFIER__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDATATYPE__TD_LANG_TYPED_ELEMENT = CCLASSIFIER__TD_LANG_TYPED_ELEMENT;

    /**
     * The number of structural features of the the '<em>Datatype</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDATATYPE_FEATURE_COUNT = CCLASSIFIER_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CDerivedImpl <em>Derived</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CDerivedImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCDerived()
     * @generated
     */
    int CDERIVED = 10;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDERIVED__NAME = CCLASSIFIER__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDERIVED__TD_LANG_TYPED_ELEMENT = CCLASSIFIER__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Derives</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDERIVED__DERIVES = CCLASSIFIER_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDERIVED__CONTAINER = CCLASSIFIER_FEATURE_COUNT + 1;

    /**
     * The number of structural features of the the '<em>Derived</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDERIVED_FEATURE_COUNT = CCLASSIFIER_FEATURE_COUNT + 2;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CTypedefImpl <em>Typedef</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CTypedefImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCTypedef()
     * @generated
     */
    int CTYPEDEF = 9;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPEDEF__NAME = CDERIVED__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPEDEF__TD_LANG_TYPED_ELEMENT = CDERIVED__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Derives</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPEDEF__DERIVES = CDERIVED__DERIVES;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPEDEF__CONTAINER = CDERIVED__CONTAINER;

    /**
     * The number of structural features of the the '<em>Typedef</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CTYPEDEF_FEATURE_COUNT = CDERIVED_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CArrayImpl <em>Array</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CArrayImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCArray()
     * @generated
     */
    int CARRAY = 11;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CARRAY__NAME = CDERIVED__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CARRAY__TD_LANG_TYPED_ELEMENT = CDERIVED__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Derives</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CARRAY__DERIVES = CDERIVED__DERIVES;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CARRAY__CONTAINER = CDERIVED__CONTAINER;

    /**
     * The feature id for the '<em><b>Dimension</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CARRAY__DIMENSION = CDERIVED_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Array</em>' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CARRAY_FEATURE_COUNT = CDERIVED_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CPointerImpl <em>Pointer</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CPointerImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCPointer()
     * @generated
     */
    int CPOINTER = 12;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPOINTER__NAME = CDERIVED__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Typed Element</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPOINTER__TD_LANG_TYPED_ELEMENT = CDERIVED__TD_LANG_TYPED_ELEMENT;

    /**
     * The feature id for the '<em><b>Derives</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPOINTER__DERIVES = CDERIVED__DERIVES;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPOINTER__CONTAINER = CDERIVED__CONTAINER;

    /**
     * The number of structural features of the the '<em>Pointer</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CPOINTER_FEATURE_COUNT = CDERIVED_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CInitializerImpl <em>Initializer</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CInitializerImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCInitializer()
     * @generated
     */
    int CINITIALIZER = 16;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CINITIALIZER__SOURCE = 0;

    /**
     * The number of structural features of the the '<em>Initializer</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CINITIALIZER_FEATURE_COUNT = 1;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CEnumeratorImpl <em>Enumerator</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CEnumeratorImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCEnumerator()
     * @generated
     */
    int CENUMERATOR = 13;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CENUMERATOR__SOURCE = CINITIALIZER__SOURCE;

    /**
     * The feature id for the '<em><b>Value</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CENUMERATOR__VALUE = CINITIALIZER_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CENUMERATOR__NAME = CINITIALIZER_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>Enumeration</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CENUMERATOR__ENUMERATION = CINITIALIZER_FEATURE_COUNT + 2;

    /**
     * The number of structural features of the the '<em>Enumerator</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CENUMERATOR_FEATURE_COUNT = CINITIALIZER_FEATURE_COUNT + 3;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CFieldImpl <em>Field</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CFieldImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCField()
     * @generated
     */
    int CFIELD = 14;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__NAME = CSTRUCTURAL_FEATURE__NAME;

    /**
     * The feature id for the '<em><b>Td Lang Shared Type</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__TD_LANG_SHARED_TYPE = CSTRUCTURAL_FEATURE__TD_LANG_SHARED_TYPE;

    /**
     * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__INSTANCE_TD_BASE = CSTRUCTURAL_FEATURE__INSTANCE_TD_BASE;

    /**
     * The feature id for the '<em><b>Type</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__TYPE = CSTRUCTURAL_FEATURE__TYPE;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__CONTAINS = CSTRUCTURAL_FEATURE__CONTAINS;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__SOURCE = CSTRUCTURAL_FEATURE__SOURCE;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__CONTAINER = CSTRUCTURAL_FEATURE__CONTAINER;

    /**
     * The feature id for the '<em><b>Initializer</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD__INITIALIZER = CSTRUCTURAL_FEATURE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Field</em>' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFIELD_FEATURE_COUNT = CSTRUCTURAL_FEATURE_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CFunctionImpl <em>Function</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CFunctionImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCFunction()
     * @generated
     */
    int CFUNCTION = 15;

    /**
     * The feature id for the '<em><b>Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFUNCTION__NAME = CBEHAVIORAL_FEATURE__NAME;

    /**
     * The feature id for the '<em><b>Parameter</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFUNCTION__PARAMETER = CBEHAVIORAL_FEATURE__PARAMETER;

    /**
     * The feature id for the '<em><b>Is Var Arg</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFUNCTION__IS_VAR_ARG = CBEHAVIORAL_FEATURE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFUNCTION__SOURCE = CBEHAVIORAL_FEATURE_FEATURE_COUNT + 1;

    /**
     * The number of structural features of the the '<em>Function</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CFUNCTION_FEATURE_COUNT = CBEHAVIORAL_FEATURE_FEATURE_COUNT + 2;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CDerivableTypeImpl <em>Derivable Type</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CDerivableTypeImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCDerivableType()
     * @generated
     */
    int CDERIVABLE_TYPE = 17;

    /**
     * The number of structural features of the the '<em>Derivable Type</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CDERIVABLE_TYPE_FEATURE_COUNT = 0;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CStructureContentsImpl <em>Structure Contents</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CStructureContentsImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCStructureContents()
     * @generated
     */
    int CSTRUCTURE_CONTENTS = 18;

    /**
     * The feature id for the '<em><b>Container</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURE_CONTENTS__CONTAINER = 0;

    /**
     * The number of structural features of the the '
     * <em>Structure Contents</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSTRUCTURE_CONTENTS_FEATURE_COUNT = 1;

    /**
     * The meta object id for the '
     * {@link com.ibm.etools.c.impl.CSourceTextImpl <em>Source Text</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see com.ibm.etools.c.impl.CSourceTextImpl
     * @see com.ibm.etools.c.impl.CPackageImpl#getCSourceText()
     * @generated
     */
    int CSOURCE_TEXT = 19;

    /**
     * The feature id for the '<em><b>Source</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSOURCE_TEXT__SOURCE = 0;

    /**
     * The feature id for the '<em><b>File Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSOURCE_TEXT__FILE_NAME = 1;

    /**
     * The number of structural features of the the '<em>Source Text</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated @ordered
     */
    int CSOURCE_TEXT_FEATURE_COUNT = 2;

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CClassifier <em>Classifier</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Classifier</em>'.
     * @see com.ibm.etools.c.CClassifier
     * @generated
     */
    EClass getCClassifier();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CStructured <em>Structured</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Structured</em>'.
     * @see com.ibm.etools.c.CStructured
     * @generated
     */
    EClass getCStructured();

    /**
     * Returns the meta object for the containment reference list '
     * {@link com.ibm.etools.c.CStructured#getContains <em>Contains</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference list '
     *         <em>Contains</em>'.
     * @see com.ibm.etools.c.CStructured#getContains()
     * @see #getCStructured()
     * @generated
     */
    EReference getCStructured_Contains();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CStruct <em>Struct</em>}'. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Struct</em>'.
     * @see com.ibm.etools.c.CStruct
     * @generated
     */
    EClass getCStruct();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CUnion <em>Union</em>}'. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Union</em>'.
     * @see com.ibm.etools.c.CUnion
     * @generated
     */
    EClass getCUnion();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CBehavioralFeature <em>Behavioral Feature</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Behavioral Feature</em>'.
     * @see com.ibm.etools.c.CBehavioralFeature
     * @generated
     */
    EClass getCBehavioralFeature();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CBehavioralFeature#getName <em>Name</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Name</em>'.
     * @see com.ibm.etools.c.CBehavioralFeature#getName()
     * @see #getCBehavioralFeature()
     * @generated
     */
    EAttribute getCBehavioralFeature_Name();

    /**
     * Returns the meta object for the containment reference list '
     * {@link com.ibm.etools.c.CBehavioralFeature#getParameter <em>Parameter</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference list '
     *         <em>Parameter</em>'.
     * @see com.ibm.etools.c.CBehavioralFeature#getParameter()
     * @see #getCBehavioralFeature()
     * @generated
     */
    EReference getCBehavioralFeature_Parameter();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CTypedElement <em>Typed Element</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Typed Element</em>'.
     * @see com.ibm.etools.c.CTypedElement
     * @generated
     */
    EClass getCTypedElement();

    /**
     * Returns the meta object for the reference '
     * {@link com.ibm.etools.c.CTypedElement#getType <em>Type</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Type</em>'.
     * @see com.ibm.etools.c.CTypedElement#getType()
     * @see #getCTypedElement()
     * @generated
     */
    EReference getCTypedElement_Type();

    /**
     * Returns the meta object for the containment reference '
     * {@link com.ibm.etools.c.CTypedElement#getContains <em>Contains</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference '<em>Contains</em>'.
     * @see com.ibm.etools.c.CTypedElement#getContains()
     * @see #getCTypedElement()
     * @generated
     */
    EReference getCTypedElement_Contains();

    /**
     * Returns the meta object for the reference '
     * {@link com.ibm.etools.c.CTypedElement#getSource <em>Source</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Source</em>'.
     * @see com.ibm.etools.c.CTypedElement#getSource()
     * @see #getCTypedElement()
     * @generated
     */
    EReference getCTypedElement_Source();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CStructuralFeature <em>Structural Feature</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Structural Feature</em>'.
     * @see com.ibm.etools.c.CStructuralFeature
     * @generated
     */
    EClass getCStructuralFeature();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CParameter <em>Parameter</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Parameter</em>'.
     * @see com.ibm.etools.c.CParameter
     * @generated
     */
    EClass getCParameter();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CParameter#getDirection <em>Direction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Direction</em>'.
     * @see com.ibm.etools.c.CParameter#getDirection()
     * @see #getCParameter()
     * @generated
     */
    EAttribute getCParameter_Direction();

    /**
     * Returns the meta object for the container reference '
     * {@link com.ibm.etools.c.CParameter#getBehavioralFeature <em>Behavioral Feature</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the container reference '
     *         <em>Behavioral Feature</em>'.
     * @see com.ibm.etools.c.CParameter#getBehavioralFeature()
     * @see #getCParameter()
     * @generated
     */
    EReference getCParameter_BehavioralFeature();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CDatatype <em>Datatype</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Datatype</em>'.
     * @see com.ibm.etools.c.CDatatype
     * @generated
     */
    EClass getCDatatype();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CTypedef <em>Typedef</em>}'. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Typedef</em>'.
     * @see com.ibm.etools.c.CTypedef
     * @generated
     */
    EClass getCTypedef();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CDerived <em>Derived</em>}'. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Derived</em>'.
     * @see com.ibm.etools.c.CDerived
     * @generated
     */
    EClass getCDerived();

    /**
     * Returns the meta object for the reference '
     * {@link com.ibm.etools.c.CDerived#getDerives <em>Derives</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Derives</em>'.
     * @see com.ibm.etools.c.CDerived#getDerives()
     * @see #getCDerived()
     * @generated
     */
    EReference getCDerived_Derives();

    /**
     * Returns the meta object for the container reference '
     * {@link com.ibm.etools.c.CDerived#getContainer <em>Container</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the container reference '<em>Container</em>'.
     * @see com.ibm.etools.c.CDerived#getContainer()
     * @see #getCDerived()
     * @generated
     */
    EReference getCDerived_Container();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CArray <em>Array</em>}'. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Array</em>'.
     * @see com.ibm.etools.c.CArray
     * @generated
     */
    EClass getCArray();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CArray#getDimension <em>Dimension</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Dimension</em>'.
     * @see com.ibm.etools.c.CArray#getDimension()
     * @see #getCArray()
     * @generated
     */
    EAttribute getCArray_Dimension();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CPointer <em>Pointer</em>}'. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Pointer</em>'.
     * @see com.ibm.etools.c.CPointer
     * @generated
     */
    EClass getCPointer();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CEnumerator <em>Enumerator</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Enumerator</em>'.
     * @see com.ibm.etools.c.CEnumerator
     * @generated
     */
    EClass getCEnumerator();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CEnumerator#getValue <em>Value</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Value</em>'.
     * @see com.ibm.etools.c.CEnumerator#getValue()
     * @see #getCEnumerator()
     * @generated
     */
    EAttribute getCEnumerator_Value();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CEnumerator#getName <em>Name</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Name</em>'.
     * @see com.ibm.etools.c.CEnumerator#getName()
     * @see #getCEnumerator()
     * @generated
     */
    EAttribute getCEnumerator_Name();

    /**
     * Returns the meta object for the container reference '
     * {@link com.ibm.etools.c.CEnumerator#getEnumeration <em>Enumeration</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the container reference '
     *         <em>Enumeration</em>'.
     * @see com.ibm.etools.c.CEnumerator#getEnumeration()
     * @see #getCEnumerator()
     * @generated
     */
    EReference getCEnumerator_Enumeration();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CField <em>Field</em>}'. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Field</em>'.
     * @see com.ibm.etools.c.CField
     * @generated
     */
    EClass getCField();

    /**
     * Returns the meta object for the reference '
     * {@link com.ibm.etools.c.CField#getInitializer <em>Initializer</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Initializer</em>'.
     * @see com.ibm.etools.c.CField#getInitializer()
     * @see #getCField()
     * @generated
     */
    EReference getCField_Initializer();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CFunction <em>Function</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Function</em>'.
     * @see com.ibm.etools.c.CFunction
     * @generated
     */
    EClass getCFunction();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CFunction#getIsVarArg <em>Is Var Arg</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Is Var Arg</em>'.
     * @see com.ibm.etools.c.CFunction#getIsVarArg()
     * @see #getCFunction()
     * @generated
     */
    EAttribute getCFunction_IsVarArg();

    /**
     * Returns the meta object for the reference '
     * {@link com.ibm.etools.c.CFunction#getSource <em>Source</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Source</em>'.
     * @see com.ibm.etools.c.CFunction#getSource()
     * @see #getCFunction()
     * @generated
     */
    EReference getCFunction_Source();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CInitializer <em>Initializer</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Initializer</em>'.
     * @see com.ibm.etools.c.CInitializer
     * @generated
     */
    EClass getCInitializer();

    /**
     * Returns the meta object for the reference '
     * {@link com.ibm.etools.c.CInitializer#getSource <em>Source</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Source</em>'.
     * @see com.ibm.etools.c.CInitializer#getSource()
     * @see #getCInitializer()
     * @generated
     */
    EReference getCInitializer_Source();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CDerivableType <em>Derivable Type</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Derivable Type</em>'.
     * @see com.ibm.etools.c.CDerivableType
     * @generated
     */
    EClass getCDerivableType();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CStructureContents <em>Structure Contents</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Structure Contents</em>'.
     * @see com.ibm.etools.c.CStructureContents
     * @generated
     */
    EClass getCStructureContents();

    /**
     * Returns the meta object for the container reference '
     * {@link com.ibm.etools.c.CStructureContents#getContainer <em>Container</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the container reference '<em>Container</em>'.
     * @see com.ibm.etools.c.CStructureContents#getContainer()
     * @see #getCStructureContents()
     * @generated
     */
    EReference getCStructureContents_Container();

    /**
     * Returns the meta object for class '
     * {@link com.ibm.etools.c.CSourceText <em>Source Text</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Source Text</em>'.
     * @see com.ibm.etools.c.CSourceText
     * @generated
     */
    EClass getCSourceText();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CSourceText#getSource <em>Source</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Source</em>'.
     * @see com.ibm.etools.c.CSourceText#getSource()
     * @see #getCSourceText()
     * @generated
     */
    EAttribute getCSourceText_Source();

    /**
     * Returns the meta object for the attribute '
     * {@link com.ibm.etools.c.CSourceText#getFileName <em>File Name</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>File Name</em>'.
     * @see com.ibm.etools.c.CSourceText#getFileName()
     * @see #getCSourceText()
     * @generated
     */
    EAttribute getCSourceText_FileName();

    /**
     * Returns the factory that creates the instances of the model. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the factory that creates the instances of the model.
     * @generated
     */
    CFactory getCFactory();

} //CPackage
