/*
 * Licensed Materials - Property of IBM
 *
 * com.ibm.etools.c
 *
 *  Copyright IBM Corporation 2004. All Rights Reserved. 
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.etools.c.source.impl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.impl.EPackageImpl;

import com.ibm.etools.c.CPackage;
import com.ibm.etools.c.datatypes.DatatypesPackage;
import com.ibm.etools.c.datatypes.impl.DatatypesPackageImpl;
import com.ibm.etools.c.impl.CPackageImpl;
import com.ibm.etools.c.source.CBlock;
import com.ibm.etools.c.source.CComment;
import com.ibm.etools.c.source.CStatement;
import com.ibm.etools.c.source.SourceFactory;
import com.ibm.etools.c.source.SourcePackage;
import com.ibm.etools.tdlang.TDLangPackage;
import com.ibm.etools.tdlang.impl.TDLangPackageImpl;
import com.ibm.etools.typedescriptor.TypeDescriptorPackage;
import com.ibm.etools.typedescriptor.impl.TypeDescriptorPackageImpl;

/**
 * <!-- begin-user-doc --> An implementation of the model <b>Package </b>. <!--
 * end-user-doc -->
 * 
 * @generated
 */
public class SourcePackageImpl extends EPackageImpl implements SourcePackage {
    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    private EClass cCommentEClass = null;

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    private EClass cStatementEClass = null;

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    private EClass cBlockEClass = null;

    /**
     * Creates an instance of the model <b>Package </b>, registered with
     * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry}by the
     * package package URI value.
     * <p>
     * Note: the correct way to create the package is via the static factory
     * method {@link #init init()}, which also performs initialization of the
     * package, or returns the registered package, if one already exists. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.emf.ecore.EPackage.Registry
     * @see com.ibm.etools.c.source.SourcePackage#eNS_URI
     * @see #init()
     * @generated
     */
    private SourcePackageImpl() {
        super(eNS_URI, SourceFactory.eINSTANCE);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    private static boolean isInited = false;

    /**
     * Creates, registers, and initializes the <b>Package </b> for this model,
     * and for any others upon which it depends. Simple dependencies are
     * satisfied by calling this method on all dependent packages before doing
     * anything else. This method drives initialization for interdependent
     * packages directly, in parallel with this package, itself.
     * <p>
     * Of this package and its interdependencies, all packages which have not
     * yet been registered by their URI values are first created and registered.
     * The packages are then initialized in two steps: meta-model objects for
     * all of the packages are created before any are initialized, since one
     * package's meta-model objects may refer to those of another.
     * <p>
     * Invocation of this method will not affect any packages that have already
     * been initialized. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #eNS_URI
     * @see #createPackageContents()
     * @see #initializePackageContents()
     * @generated
     */
    public static SourcePackage init() {
        if (isInited)
            return (SourcePackage) EPackage.Registry.INSTANCE.get(SourcePackage.eNS_URI);

        // Obtain or create and register package.
        SourcePackageImpl theSourcePackage = (SourcePackageImpl) (EPackage.Registry.INSTANCE.get(eNS_URI) instanceof EPackage ? EPackage.Registry.INSTANCE.get(eNS_URI) : new SourcePackageImpl());

        isInited = true;

        // Obtain or create and register interdependencies
        CPackageImpl theCPackage = (CPackageImpl) (EPackage.Registry.INSTANCE.get(CPackage.eNS_URI) instanceof EPackage ? EPackage.Registry.INSTANCE.get(CPackage.eNS_URI) : CPackageImpl.eINSTANCE);
        DatatypesPackageImpl theDatatypesPackage = (DatatypesPackageImpl) (EPackage.Registry.INSTANCE.get(DatatypesPackage.eNS_URI) instanceof EPackage ? EPackage.Registry.INSTANCE
                .get(DatatypesPackage.eNS_URI) : DatatypesPackageImpl.eINSTANCE);
        TDLangPackageImpl theTdlangPackage = (TDLangPackageImpl) (EPackage.Registry.INSTANCE.get(TDLangPackage.eNS_URI) instanceof EPackage ? EPackage.Registry.INSTANCE.get(TDLangPackage.eNS_URI)
                : TDLangPackageImpl.eINSTANCE);
        TypeDescriptorPackageImpl theTypedescriptorPackage = (TypeDescriptorPackageImpl) (EPackage.Registry.INSTANCE.get(TypeDescriptorPackage.eNS_URI) instanceof EPackage ? EPackage.Registry.INSTANCE
                .get(TypeDescriptorPackage.eNS_URI)
                : TypeDescriptorPackageImpl.eINSTANCE);

        // Step 1: create meta-model objects
        theSourcePackage.createPackageContents();
        theCPackage.createPackageContents();
        theDatatypesPackage.createPackageContents();
        theTdlangPackage.createPackageContents();
        theTypedescriptorPackage.createPackageContents();

        // Step 2: complete initialization
        theSourcePackage.initializePackageContents();
        theCPackage.initializePackageContents();
        theDatatypesPackage.initializePackageContents();
        theTdlangPackage.initializePackageContents();
        theTypedescriptorPackage.initializePackageContents();

        return theSourcePackage;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EClass getCComment() {
        return cCommentEClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EClass getCStatement() {
        return cStatementEClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EClass getCBlock() {
        return cBlockEClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EAttribute getCBlock_Source() {
        return (EAttribute) cBlockEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EReference getCBlock_Nests() {
        return (EReference) cBlockEClass.getEStructuralFeatures().get(1);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EReference getCBlock_Nested() {
        return (EReference) cBlockEClass.getEStructuralFeatures().get(2);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public SourceFactory getSourceFactory() {
        return (SourceFactory) getEFactoryInstance();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    private boolean isCreated = false;

    /**
     * Creates the meta-model objects for the package. This method is guarded to
     * have no affect on any invocation but its first. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @generated
     */
    public void createPackageContents() {
        if (isCreated)
            return;
        isCreated = true;

        // Create classes and their features
        cCommentEClass = createEClass(CCOMMENT);

        cStatementEClass = createEClass(CSTATEMENT);

        cBlockEClass = createEClass(CBLOCK);
        createEAttribute(cBlockEClass, CBLOCK__SOURCE);
        createEReference(cBlockEClass, CBLOCK__NESTS);
        createEReference(cBlockEClass, CBLOCK__NESTED);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    private boolean isInitialized = false;

    /**
     * Complete the initialization of the package and its meta-model. This
     * method is guarded to have no affect on any invocation but its first. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void initializePackageContents() {
        if (isInitialized)
            return;
        isInitialized = true;

        // Initialize package
        setName(eNAME);
        setNsPrefix(eNS_PREFIX);
        setNsURI(eNS_URI);

        // Add supertypes to classes
        cCommentEClass.getESuperTypes().add(this.getCBlock());
        cStatementEClass.getESuperTypes().add(this.getCBlock());

        // Initialize classes and features; add operations and parameters
        initEClass(cCommentEClass, CComment.class, "CComment", !IS_ABSTRACT, !IS_INTERFACE);

        initEClass(cStatementEClass, CStatement.class, "CStatement", !IS_ABSTRACT, !IS_INTERFACE);

        initEClass(cBlockEClass, CBlock.class, "CBlock", !IS_ABSTRACT, !IS_INTERFACE);
        initEAttribute(getCBlock_Source(), ecorePackage.getEString(), "source", null, 0, 1, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED);
        initEReference(getCBlock_Nests(), this.getCBlock(), this.getCBlock_Nested(), "nests", null, 0, 1, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES,
                !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED);
        initEReference(getCBlock_Nested(), this.getCBlock(), this.getCBlock_Nests(), "nested", null, 0, -1, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES,
                !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED);
    }
} //SourcePackageImpl
