//****************************************************************
//
//   IBM Confidential
//   OCO Source Materials
//   <<com.ibm.etools.cobol>>
//   (C) Copyright IBM Corp. 2004 - All Rights Reserved.
//   US Government Users Restricted Rights - Use, duplication or disclosure
//   restricted by GSA ADP Schedule Contract with IBM Corp.
//
// ****************************************************************
package com.ibm.etools.cobol.importer;

/**
 * @author makkina
 *
 */
public class ErrorMessageInfo {
	private char sevChar;
	private String messageString;
	private int lineNumberint;
	private String fileLocation;

	/**
	 * @param messageString
	 * @param lineNumberint
	 * @param fileLocation
	 */
	public ErrorMessageInfo(char severityChar, String messageString, int lineNumberint, String fileLocation) {
		super();
		this.sevChar = severityChar;		
		this.messageString = messageString;
		this.lineNumberint = lineNumberint;
		this.fileLocation = fileLocation;
	}
	public String getFileLocation() {
		return fileLocation;
	}

	public int getLineNumberint() {
		return lineNumberint;
	}

	public String getMessageString() {
		return messageString;
	}
	
	/** returns the severity code
	 *	'I'   ->  Informational
	 *	'W' -> Warning
	 *	'E'  -> Error
	 *	'S'  -> Severe
	 *	'U'  -> Unrecoverable
	 */
	public char getSevChar() {
		return sevChar;
	}
}
